*  Program...........: MSGDEMO.PRG (PUBLIC DOMAIN)
*  Author............: EVG
*} Project...........: Common
*  Created...........: 01/28/99
*  Copyright.........: (c) Steven Black Consulting, 1993
*) Description.......: Call all the MSGSVC messages
*)                     and check them out..
*] Dependencies......:
*  Calling Samples...:
*  Parameter List....:
*  Returns...........:
*  Major change list.:

*-- Sorry for traipsing on your environment...
SET TALK OFF
Clear

IF MSGSVC("Welcome")= "Cancel"
  RETURN
ENDIF

*-- New Features added
IF MSGSVC("New", "Steve Black Consulting~the last version of MSGSVC")= 2
  RETURN
ENDIF

*-- Text substitution now available in the first line of thermometer dialogs
=MSGSVC(45,"testtherm","first line~thermometer dialog box!!")
READ TIMEOUT 3
=MSGSVC(100,"finished")

*-- Caption of dialog box can now be displayed as half its normal height - add [HALFHEIGHT] to cTitle
=MSGSVC("halfheight")
*-- Titlebar can now be displayed optionally - add [NOTITLE] to cTitle
=MSGSVC("notitle")

*-- Close <OK> dialog boxes by pressing the <Esc> button
=MSGSVC("Esc Dialog")

*-- new for version 6 ((TEXT)) option overrides contents of the cFunction field
=MSGSVC("infotext1")
?MSGSVC("((TEXT))Indexing","files")
=MSGSVC("infotext2")

READ TIMEOUT 1
Clear
*-- _SCREEN.oINTL.Setlanguage( MsgSvc( "Language"))

****************************************
*-- Tip of the day
IF MSGSVC("See Tip?")= "Ok"
  MSGSVC("Tip")
ENDIF
****************************************

=MSGSVC("Language")
=MSGSVC("animateprint")
*-- Some Wait windows
=MSGSVC("Waitwindows")
=MSGSVC("Opening Files")
=MSGSVC("Indexing","Client")
=MSGSVC("Printing...")

*-- Adding bitmap images
MSGSVC("Construction Zone")

*-- Text within double curly brackets is now evaluated (e.g. today's date: {{date()}})
=MSGSVC("OK to delete")

*-- Thermometer example
=MSGSVC("MsgSvc Example: Updating project","THERM",0)
READ TIMEOUT 1
= MSGSVC("Creating temporary files...","THERM",10)
READ TIMEOUT 1
= MSGSVC("Building work areas...","THERM",25)
READ TIMEOUT 1
= MSGSVC("Updating menu snippets...","THERM",50)
READ TIMEOUT 1
= MSGSVC("Compiling Menu File...","THERM",60)
READ TIMEOUT 1
= MSGSVC("Verifying Menu File...","THERM",90)
READ TIMEOUT 1
= MSGSVC("Completed Building Menu File...","THERM",100)
READ TIMEOUT 1
Acti SCREEN
Clear
lnOldMemo=SET("MEMO")
SET MEMOWIDTH TO 40
?MSGSVC("end of demo")
SET MEMOWIDTH TO lnOldMemo
